Bug 1309388 - python-pyotp: Provide a Python 3 subpackage [NEEDINFO]
python-pyotp: Provide a Python 3 subpackage
Product: Fedora
Classification: Fedora
Component: python-pyotp (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Konstantin Ryabitsev
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2016-02-17 11:24 EST by Petr Viktorin
Modified: 2016-09-07 07:07 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-pyotp-2.1.1-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-09-07 07:07:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mhroncok: needinfo? (icon)

Attachments (Terms of Use)
add Python 3 & update version (3.34 KB, patch)
2016-07-13 07:06 EDT, Dominika Krejčí
no flags Details | Diff
Rebased and reviewed patch (3.41 KB, patch)
2016-07-27 10:46 EDT, Lumír Balhar
no flags Details | Diff

  None (edit)
Description Petr Viktorin 2016-02-17 11:24:15 EST
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.

According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3

It's fine to do this in Rawhide only.

If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!

[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Jan Kurik 2016-02-24 10:25:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
Comment 2 Dominika Krejčí 2016-04-20 09:21:18 EDT
Hello Konstantin,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html
Comment 3 Dominika Krejčí 2016-07-13 07:06 EDT
Created attachment 1179219 [details]
add Python 3 & update version

Hi Konstantin,
here is the change needed to add Python 3 support and update the version. Could you please review it and do the update?

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=14882468

Also tested in Mock (fedora-22-x86_64, fedora-23-x86_64, fedora-24-x86_64, fedora-rawhide-x86_64).
Comment 4 Lumír Balhar 2016-07-27 10:46 EDT
Created attachment 1184681 [details]
Rebased and reviewed patch

I've just rebased provided patch. It looks ok now.
Comment 5 Miro Hrončok 2016-08-16 06:46:37 EDT
do you mind if I push this? If you don't reply in a week, I assume it's OK.

Note You need to log in before you can comment on or make changes to this bug.